package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * 乐团预报名、报名、及回款统计
 */
public class MusicGroupRegAndMoneyDto {

    @ApiModelProperty(value = "乐团id", required = false)
    private String musicGroupId;

    @ApiModelProperty(value = "乐团名称", required = false)
    private String musicGroupName;

    @ApiModelProperty(value = "分部名称", required = false)
    private String organName;

    @ApiModelProperty(value = "乐团状态", required = false)
    private String musicGroupStatus;

    @ApiModelProperty(value = "预报名人数", required = false)
    private Integer preRegNum = 0;

    @ApiModelProperty(value = "报名人数", required = false)
    private Integer regNum = 0;

    @ApiModelProperty(value = "缴费人数", required = false)
    private Integer payNum = 0;

    @ApiModelProperty(value = "缴费中人数", required = false)
    private Integer payingNum = 0;

    @ApiModelProperty(value = "审核中人数", required = false)
    private Integer checkNum = 0;

    @ApiModelProperty(value = "购买云教练人数", required = false)
    private Integer buyCloudTeacherNum = 0;

    @ApiModelProperty(value = "购买乐器人数", required = false)
    private Integer buyInstrumentNum = 0;

    @ApiModelProperty(value = "回款金额", required = false)
    private BigDecimal money = BigDecimal.ZERO;

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getMusicGroupStatus() {
        return musicGroupStatus;
    }

    public void setMusicGroupStatus(String musicGroupStatus) {
        this.musicGroupStatus = musicGroupStatus;
    }

    public Integer getPreRegNum() {
        return preRegNum;
    }

    public void setPreRegNum(Integer preRegNum) {
        this.preRegNum = preRegNum;
    }

    public Integer getRegNum() {
        return regNum;
    }

    public void setRegNum(Integer regNum) {
        this.regNum = regNum;
    }

    public Integer getPayNum() {
        return payNum;
    }

    public void setPayNum(Integer payNum) {
        this.payNum = payNum;
    }

    public Integer getPayingNum() {
        return payingNum;
    }

    public void setPayingNum(Integer payingNum) {
        this.payingNum = payingNum;
    }

    public Integer getCheckNum() {
        return checkNum;
    }

    public void setCheckNum(Integer checkNum) {
        this.checkNum = checkNum;
    }

    public Integer getBuyCloudTeacherNum() {
        return buyCloudTeacherNum;
    }

    public void setBuyCloudTeacherNum(Integer buyCloudTeacherNum) {
        this.buyCloudTeacherNum = buyCloudTeacherNum;
    }

    public Integer getBuyInstrumentNum() {
        return buyInstrumentNum;
    }

    public void setBuyInstrumentNum(Integer buyInstrumentNum) {
        this.buyInstrumentNum = buyInstrumentNum;
    }

    public String getMusicGroupName() {
        return musicGroupName;
    }

    public void setMusicGroupName(String musicGroupName) {
        this.musicGroupName = musicGroupName;
    }

    public BigDecimal getMoney() {
        return money;
    }

    public void setMoney(BigDecimal money) {
        this.money = money;
    }
}
